<div class="room-list">
  <div class="create-room">
    <input
      type="text"
      class="form-control"
      placeholder="Enter room name you want to create"
      value="{{ room.value }}"
      (keyup.enter)="createRoom()"
      [formControl]="room"
    />
    
    <button
      [disabled]="room.invalid"
      (click)="createRoom()"
      class="btn btn-info"
    >
      Create
    </button>
  </div>
  <div class="rooms">
    <div *ngFor="let room of rooms">
      <div
        *ngIf="room.is_opened || room.owner == username; then openedRoom"
      ></div>
      <ng-template #openedRoom>
        <div class="room">
          <div
            (click)="joinRoom(room.id)"
            class="room-info"
            [ngClass]="{ active: isRoomActive(room) }"
          >
            <span class="room-name">
              {{ room["name"] }}
            </span>
            ({{ room.owner }})
          </div>
          <div *ngIf="room.owner === username; then button"></div>
          <ng-template #button>
            <button
              class="btn"
              [ngClass]="{
                'btn-danger': !isRoomOpened(room),
                'btn-success': isRoomOpened(room)
              }"
              (click)="updateRoomStatus(room['id'], !room['is_opened'])"
            >
              {{ room.is_opened ? "Opened" : "Closed" }}
            </button>
          </ng-template>
        </div>
      </ng-template>
    </div>
  </div>
</div>
